ONVIF::Media::Elements::GetVideoSourceConfigurationOptionsResponse(3pm)

NAME
ONVIF::Media::Elements::GetVideoSourceConfigurationOptionsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetVideoSourceConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

     $element->set_Options($data);
     $element->get_Options();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetVideoSourceConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::VideoSourceConfigurationOptions
     BoundsRange =>  { # ONVIF::Media::Types::IntRectangleRange
       XRange =>  { # ONVIF::Media::Types::IntRange
         Min =>  $some_value, # int
         Max =>  $some_value, # int
       },
       YRange =>  { # ONVIF::Media::Types::IntRange
         Min =>  $some_value, # int
         Max =>  $some_value, # int
       },
       WidthRange =>  { # ONVIF::Media::Types::IntRange
         Min =>  $some_value, # int
         Max =>  $some_value, # int
       },
       HeightRange =>  { # ONVIF::Media::Types::IntRange
         Min =>  $some_value, # int
         Max =>  $some_value, # int
       },
     },
     VideoSourceTokensAvailable => $some_value, # ReferenceToken
     Extension =>  { # ONVIF::Media::Types::VideoSourceConfigurationOptionsExtension
       Rotate =>  { # ONVIF::Media::Types::RotateOptions
         Mode => $some_value, # RotateMode
         DegreeList =>  { # ONVIF::Media::Types::IntList
           Items =>  $some_value, # int
         },
         Extension =>  { # ONVIF::Media::Types::RotateOptionsExtension
         },
       },
       Extension =>  { # ONVIF::Media::Types::VideoSourceConfigurationOptionsExtension2
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL